/*  ==========================================================================
    // Select
    //
    // https://github.com/filamentgroup/select-css
    //
    // .custom-select--light - light
    // .custom-select--silver - silver
    // .custom-select--stable - stable
    // .custom-select--mini - mini
    // .custom-select--large - large
    // .custom-select--full - full
    //
    // Markup: forms-select.html
    //
    // Style guide: Modules.Select
    //
    ========================================================================== */

    select
    {
        height: 36px;
        /* In IE7, the height of the select element cannot be changed by height, only font-size */
        *margin-top: 4px;
        /* For IE7, add top margin to align select with labels */

        line-height: 30px;
        font-size: 100%;
        background-color: $white;
        border: 1px solid $gray-20;
    }

        /* Container used for styling the custom select, the buttom class below adds the bg gradient, corners, etc. */
        .custom-select
        {
            position: relative;

            @include inline-block;
            margin-bottom: $single-space;
            padding: 0;

            vertical-align: middle;
            font-weight: $select-font-weight;

            /* This is the native select, we're making everything but the text invisible so we can see the button styles in the wrapper */
            select
            {
                width: 100%;
                height: $select-height;
                margin: 0;
                padding: $select-padding;

                background: none;
                border: $select-border-width solid $select-border-color;
                border-radius: $select-border-radius;
                box-shadow: $select-box-shadow;
                outline: none;
                box-sizing: border-box;
                /* Remove select styling */
                appearance: none;
                -webkit-appearance: none;
                /* General select styles: change as needed */
                color: $select-color;
                line-height: 1.3;
            }
        }

        /* Focus style */
        .custom-select select:focus
        {
            outline:none;
            //box-shadow: 0 0 1px 3px rgba(180,222,250, 1);
            // background-color: $transparent;
            // color: $select-focus-color;
            border-bottom: $select-focus-border-bottom;
        }

        /* Set options to normal weight */
        .custom-select option
        {
            font-weight: $select-font-weight;
        }

        /* ------------------------------------  */
        /* START OF UGLY BROWSER-SPECIFIC HACKS */
        /* ----------------------------------  */

        /* OPERA - Pre-Blink nix the custom arrow, go with a native select button to keep it simple. Targeted via this hack http://browserhacks.com/#hack-a3f166304aafed524566bc6814e1d5c7 */
        x:-o-prefocus, .custom-select::after
        {
            display:none;
        }

        /* IE 10/11+ - This hides native dropdown button arrow so it will have the custom appearance, IE 9 and earlier get a native select - targeting media query hack via http://browserhacks.com/#hack-28f493d247a12ab654f6c3637f6978d5 - looking for better ways to achieve this targeting */
        /* The second rule removes the odd blue bg color behind the text in the select button in IE 10/11 and sets the text color to match the focus style's - fix via http://stackoverflow.com/questions/17553300/change-ie-background-color-on-unopened-focused-select-box */
        @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
            .custom-select select::-ms-expand
            {
                display: none;
            }

            .custom-select select:focus::-ms-value
            {
                background: transparent;
                color: $gray-85;
            }
        }

        /* FIREFOX won't let us hide the native select arrow, so we have to make it wider than needed and clip it via overflow on the parent container. The percentage width is a fallback since FF 4+ supports calc() so we can just add a fixed amount of extra width to push the native arrow out of view. We're applying this hack across all FF versions because all the previous hacks were too fragile and complex. You might want to consider not using this hack and using the native select arrow in FF. Note this makes the menus wider than the select button because they display at the specified width and aren't clipped. Targeting hack via http://browserhacks.com/#hack-758bff81c5c32351b02e10480b5ed48e */
        /* Show only the native arrow */
        @-moz-document url-prefix() {
            .custom-select
            {
                overflow: hidden;
            }

            // .custom-select select
            // {
            //     width: 120%;
            //     width: -moz-calc(100% + 3em);
            //     width: calc(100% + em);
            // }
        }

        /* Firefox focus has odd artifacts around the text, this kills that. See https://developer.mozilla.org/en-US/docs/Web/CSS/:-moz-focusring */
        .custom-select select:-moz-focusring
        {
            color: transparent;
            text-shadow: 0 0 0 $black;
        }

        /* ------------------------------------  */
        /*  END OF UGLY BROWSER-SPECIFIC HACKS  */
        /* ------------------------------------  */

        .custom-select--light
        {
            background-color: $white;
        }

        .custom-select--silver
        {
            background-color: $silver;
        }

        .custom-select--stable
        {
            background-color: $stable;
        }

        .custom-select--mini
        {
            select
            {
                height: $select-mini-height;
                padding: $select-mini-padding;

                font-size: $select-mini-font-size;
            }
        }

        .custom-select--large
        {
            select
            {
                height: $select-large-height;
                padding: $select-large-padding;

                font-size: $select-large-font-size;
            }
        }

        .custom-select--full
        {
            width: 100%;
        }